DELETE /api/synthetics/params/{id}

Spaces method and path for this operation:

delete /s/{space_id}/api/synthetics/params/{id}

Refer to Spaces for more information.

Delete a parameter from the Synthetics app.

You must have all privileges for the Synthetics feature in the Observability section of the Kibana feature privileges.

[Required authorization] Route required privileges: uptime-read AND uptime-write.

Headers

  • kbn-xsrf string Required

    A required header to protect against CSRF attacks

Path parameters

  • id string Required

    The ID for the parameter to delete.

    Minimum length is 1, maximum length is 1024.

Responses

  • 200 application/json

    A successful response.

    Hide response attributes Show response attributes object
    • deleted boolean

      If true, the object was deleted. If false, it was not deleted.

    • id string

      The unique identifier of the deleted object.

DELETE /api/synthetics/params/{id}
curl \
  -X DELETE "${KIBANA_URL}/api/synthetics/params/param-id" \
  -H "Authorization: ApiKey ${API_KEY}" \
  -H "kbn-xsrf: true"
DELETE kbn://api/synthetics/params/param-id
Response examples (200)
[
  {
    "deleted": true,
    "id": "param1-id"
  }
]